/////////////////////////////////////////////////////////////////////////////
///
/// \file
///
/// A global variable of the settable decision class on whether
/// the empty cell should be used as a valid cell of dimension -1.
///
/////////////////////////////////////////////////////////////////////////////

// Copyright (C) 2009-2016 by Pawel Pilarczyk.
//
// This file is part of my research software package. This is free software:
// you can redistribute it and/or modify it under the terms of the GNU
// General Public License as published by the Free Software Foundation,
// either version 3 of the License, or (at your option) any later version.
//
// This software is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this software; see the file "license.txt". If not,
// please, see <http://www.gnu.org/licenses/>.

// Started on March 24, 2009. Last revision: January 9, 2013.


// include relevant local header files
#include "chaincon/emptycell.h"


// --------------------------------------------------
// ------------------- empty cell -------------------
// --------------------------------------------------

/// The global flag for the existence of the empty cell
/// in a class that can be used to change this setting globally.
bool SettableEmptyCell::theFlag = false;

